Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.businessconnector.genins.builders.impl
Class RequestObjectBuilderImpl

    java.lang.Object
      be.ehealth.businessconnector.genins.builders.impl.RequestObjectBuilderImpl

All Implemented Interfaces:
  RequestObjectBuilder

    public final class RequestObjectBuilderImpl

extends Object
implements RequestObjectBuilder

Implementation of `RequestObjectBuilder`

Constructor Summary
`RequestObjectBuilderImpl()`

Method Summary
`GetInsurabilityAsXmlOrFlatRequestType` | `createGetInsurabilityRequest(RequestParameters reqestParameters, boolean isTest)` createGetInsurabilityRequest method interface which create GetInsurabilityAsXmlOrFlatRequestType object.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RequestObjectBuilderImpl

    public RequestObjectBuilderImpl()

Method Detail

### createGetInsurabilityRequest

    public GetInsurabilityAsXmlOrFlatRequestType createGetInsurabilityRequest(RequestParameters reqestParameters,
                                                                              boolean isTest)
                                                                       throws TechnicalConnectorException,
                                                                              GenInsBusinessConnectorException,
                                                                              InstantiationException

  Description copied from interface: `RequestObjectBuilder`
  createGetInsurabilityRequest method interface which create GetInsurabilityAsXmlOrFlatRequestType object.

  Specified by:
    `createGetInsurabilityRequest` in interface `RequestObjectBuilder`
  Parameters:
    `reqestParameters` - used to create GetInsurabilityAsXmlOrFlatRequestType object. The parameter contains value to creates careReceiverId, periodType, insurabilityRequestDetailType and insurabilityRequestDetailType belong to singleInsurabilityRequestType used to creates GetInsurabilityAsXmlOrFlatRequestType.
    `isTest` - parameter allow to know if the creation of the object is done for testing or not
  Returns:
  Throws:
    `TechnicalConnectorException` - the exception occurs when we creates RecordCommonInputType belong to GetInsurabilityAsXmlOrFlatRequestType. The RecordCommonInputType generates a reference id and if an error occurs during the generation, the exception is thrown.
    `GenInsBusinessConnectorException`
    `InstantiationException` - error when the creation of the GetInsurabilityAsXmlOrFlatRequestType object failed
  See Also:
    `be.ehealth.businessconnector.genins.builders.RequestObjectBuilder#createGetInsurabilityRequest(be.ehealth.businessconnector.genins.domain.RequestParameters)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.